#!/bin/sh
#
# OpenBSD-specific startup script for NetBeans IDE

NETBEANS_HOME=/usr/local/netbeans

DATASIZE="2048000"
[[ `arch -s` == i386 ]] && DATASIZE="1536000"

#-----------------------------------------------------------------------------
# Determine configuration settings
#-----------------------------------------------------------------------------

export JAVA_BIN=$(javaPathHelper -c netbeans)
export JAVA_HOME=$(javaPathHelper -h netbeans)

if [ ! -x "${JAVA_BIN}" ]; then
	echo "Error: JAVA_HOME may not be defined correctly: ${JAVA_HOME}"
	echo "       Unable to find Java binary ${JAVA_BIN}"
	exit 1
fi

# Check if 'netbeans' executable can be found
if [ ! -x "${NETBEANS_HOME}/bin/netbeans" ]; then
	echo "Error: NETBEANS_HOME is not defined correctly: ${NETBEANS_HOME}"
	echo "       Unable to find launcher binary"
	exit 1
fi

xm_log() {
	echo -n "$@\nDo you want to run netbeans anyway?\n\
(If you don't increase these limits, netbeans might fail to work properly.)" | \
		/usr/X11R6/bin/xmessage -file - -center -buttons yes:0,no:1 -default no
}

if [ $(ulimit -Sd) -lt ${DATASIZE} ]; then
	ulimit -Sd ${DATASIZE} || \
		xm_log "Cannot increase datasize-cur to at least ${DATASIZE}"
		[ $? -eq 0 ] || exit
fi

PATH=${JAVA_HOME}/bin:$PATH exec "${NETBEANS_HOME}/bin/netbeans" --jdkhome ${JAVA_HOME} $@
